View Issue Details

This bug affects 1 person(s).
 254
IDProjectCategoryView StatusLast Update
15218Feature requestsSecuritypublic2019-09-30 16:47
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Fixed in Version3.0 
Summary15218: Allow to disable SSL alert
DescriptionI have a setup with

````
'publicurl' => 'https://example.org',
'ssl_emergency_override'=>true',
````

Because public access goes to https://example.org but this server call server1 or server2 if server1 is broken. But think link **must be without ssl** (windows admin … don't ask me …).

But then the alert is show each time i delete it. I want to totally hide it.
Additional InformationStrangely on my local setup http://limesurvey.local/master/admin/index i can delete the warning, it don't show again.


Just adding a `'ssl_warning' => true` in config-default and it's done :)
TagsNo tags attached.
Bug heat254

Relationships

related to 15243 closedDenisChenu Bug reports ssl alert is shown to simple user too 

Users monitoring this issue

User List There are no users monitoring this issue.

Related Changesets

LimeSurvey: master c4b3d489

2019-09-17 15:48:56

DenisChenu


Committer: c_schmitz Details Diff
Fixed issue 15243: ssl alert is shown to simple user too (#1319)

* Fixed issue 15243: ssl alert is shown to simple user too
Dev: check if have superadmin right
* Fixed issue 15218: Allow to disable SSL alert
Dev: replace the debug >= 2
Dev: put the 2 ssl from config.php ony clearly out of DB
Affected Issues
15218, 15243
mod - application/config/config-defaults.php Diff File
mod - application/core/Survey_Common_Action.php Diff File
mod - application/models/SettingGlobal.php Diff File

Issue History

Date Modified Username Field Change
2019-09-03 18:48 DenisChenu New Issue
2019-09-03 18:48 DenisChenu Status new => assigned
2019-09-03 18:48 DenisChenu Assigned To => c_schmitz
2019-09-03 18:49 DenisChenu Assigned To c_schmitz => DenisChenu
2019-09-06 17:09 DenisChenu Relationship added related to 15243
2019-09-06 17:17 DenisChenu Note Added: 53515
2019-09-06 17:17 DenisChenu Assigned To DenisChenu => c_schmitz
2019-09-06 17:17 DenisChenu Status assigned => feedback
2019-09-06 17:17 DenisChenu Note Added: 53516
2019-09-17 15:49 c_schmitz Changeset attached => LimeSurvey master c4b3d489
2019-09-17 15:49 DenisChenu Note Added: 53609
2019-09-17 15:49 DenisChenu Assigned To c_schmitz => DenisChenu
2019-09-17 15:49 DenisChenu Resolution open => fixed
2019-09-18 08:02 DenisChenu Status feedback => resolved
2019-09-18 08:02 DenisChenu Fixed in Version => 3.0
2019-09-30 16:47 lime_release_bot Status resolved => closed
2019-09-30 16:47 lime_release_bot Note Added: 53785